﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace CellMouseTrigger
{
	public class ValidationHelper
	{
		public static bool GetIsValid(DependencyObject obj)
		{
			return (bool)obj.GetValue(IsValidProperty);
		}

		public static void SetIsValid(DependencyObject obj, bool value)
		{
			obj.SetValue(IsValidProperty, value);
		}

		public static readonly DependencyProperty IsValidProperty =
			DependencyProperty.RegisterAttached("IsValid", typeof(bool), typeof(ValidationHelper), new PropertyMetadata(true));
	}
}